[arch-commits] Commit in twinkle/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Aug 3 12:36:45 EDT 2008


    Date: Sunday, August 3, 2008 @ 12:36:44
  Author: jgc
Revision: 7683

Merged revisions 6744-7682 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/twinkle/trunk

........
  r7615 | jgc | 2008-08-03 13:22:59 +0000 (Sun, 03 Aug 2008) | 2 lines
  
  upgpkg: twinkle 1.2-2
      Replace twinkle-kdefree, remove dependency on gnutls
........

Modified:
  twinkle/repos/extra-i686/	(properties)
  twinkle/repos/extra-i686/PKGBUILD
  twinkle/repos/extra-i686/twinkle.desktop

-----------------+
 PKGBUILD        |   23 ++++++++++++-----------
 twinkle.desktop |    6 +++---
 2 files changed, 15 insertions(+), 14 deletions(-)


Property changes on: twinkle/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /twinkle/trunk:1-6743
   + /twinkle/trunk:1-7682

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-03 16:25:55 UTC (rev 7682)
+++ extra-i686/PKGBUILD	2008-08-03 16:36:44 UTC (rev 7683)
@@ -4,25 +4,26 @@
 # AUR Contributor: Federico Quagliata (quaqo) <quaqo at despammed.com>
 pkgname=twinkle
 pkgver=1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A SIP softphone for Qt"
 arch=(i686 x86_64)
 url="http://www.twinklephone.com/"
 license=("GPL")
-depends=('ccrtp>=1.5.1' 'speex' 'boost>=1.34.0' 'libsndfile' 'qt3' 'gnutls' \
-         'libzrtpcpp>=0.9.0-2' 'commoncpp2>=1.6')
+depends=('speex>=1.2rc1' 'boost>=1.34.1' 'libsndfile' 'qt3' 'libzrtpcpp>=0.9.0-2')
 makedepends=('pkgconfig')
-source=(http://www.xs4all.nl/~mfnboer/$pkgname/download/$pkgname-$pkgver.tar.gz \
-		twinkle.desktop )
+conflicts=('twinkle-kdefree')
+replaces=('twinkle-kdefree')
+source=(http://www.xs4all.nl/~mfnboer/${pkgname}/download/${pkgname}-${pkgver}.tar.gz 
+	twinkle.desktop)
 md5sums=('bd83f658ec0d1f59750b7464ea1e2318'
-         'ef03b438033b591ec122b3934f80c23e')
+         '55741e3a4163578bb165da6c10a6475b')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd ${srcdir}/${pkgname}-${pkgver}
   . /etc/profile.d/qt3.sh
-  ./configure --prefix=/usr --without-kde --with-speex
+  ./configure --prefix=/usr --without-kde --with-speex || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
-  install -D -m 644 $startdir/pkg/usr/share/twinkle/twinkle48.png $startdir/pkg/usr/share/pixmaps/twinkle.png
-  install -D -m 644 $startdir/src/twinkle.desktop $startdir/pkg/usr/share/applications/twinkle.desktop
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/applications
+  install -m644 ${srcdir}/twinkle.desktop ${pkgdir}/usr/share/applications/ || return 1
 }

Modified: extra-i686/twinkle.desktop
===================================================================
--- extra-i686/twinkle.desktop	2008-08-03 16:25:55 UTC (rev 7682)
+++ extra-i686/twinkle.desktop	2008-08-03 16:36:44 UTC (rev 7683)
@@ -1,9 +1,9 @@
 [Desktop Entry]
 Name=Twinkle
 Comment=A SIP softphone for Qt
-Icon=/usr/share/pixmaps/twinkle.png
-Exec=/usr/bin/twinkle
+Icon=/usr/share/twinkle/twinkle48.png
+Exec=twinkle
 Terminal=false
 Type=Application
-Categories=Application;Network
+Categories=Network;
 StartupNotify=false




More information about the arch-commits mailing list